import { HttpClient, HttpParams } from "@angular/common/http";
import { TranslateService } from "@ngx-translate/core";
import { MessageService } from "primeng/api";
import { ListParams } from "../../../shared/services/entity-service";
export declare class BaseHistoryService {
    protected http: HttpClient;
    protected messageService: MessageService;
    protected translate: TranslateService;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
    getCompanyStructureHistoryByCompanyId(domain: string, service: string, entityName: string, filter: string): import("rxjs").Observable<unknown>;
    getListQueryParams(listParams: ListParams): HttpParams;
    defaultCatch(): import("rxjs").OperatorFunction<unknown, unknown>;
}
